#ifndef Main_H
	#define EXTERNE extern
#else
	#define EXTERNE 
#endif


//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	<p18cxxx.h>			// Fichier contenant toutes les definitions des bits et registres du microcontroleur
	#include	"../h/Entete.h"
	#include	"../h/Var.h"
//*****************************************************************************************




//*****************************************************************************
// Definition de tous les parametres 
//*****************************************************************************

// Definition pour le Bouton Poussoir S3
	#define		SensBoutonPoussoirS3		TRISBbits.TRISB0		// Defini la variable SensBoutonPoussoirS3 comme le bit TRISBbits.TRISB0
																// Cela permet au lecteur d'avoir un programme plus lisible
	#define		BoutonPoussoirS3			PORTBbits.RB0





// Definition pour la led D2
	#define		SensLedD2					TRISBbits.TRISB0
	#define		LedD2						LATBbits.LATB0

// Definition pour la led D3
	#define		SensLedD3					TRISBbits.TRISB1		
	#define		LedD3						LATBbits.LATB1

// Definition pour la led D4
	#define		SensLedD4					TRISBbits.TRISB2
	#define		LedD4						LATBbits.LATB2

// Definition pour la led D5
	#define		SensLedD5					TRISBbits.TRISB3
	#define		LedD5						LATBbits.LATB3
	
//*****************************************************************************



